Skip to main content

Confirm task creation

POST
/ai/gateway/tasks/create/confirm

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectRequest body: { approvalToken }
  • {}

Responses

8 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body, missing approvalToken, or rejected task draftobject
401
API key is missing or invalidobject
403
Insufficient permissionsobject
404
Confirmation token not foundobject
409
Confirmation token is not pending, has already been used, or the idempotency key does not matchobject
410
Confirmation token expiredobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }